Package org.gradle.play.tasks

## Class JavaScriptMinify

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.play.tasks.JavaScriptMinify

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `PatternFilterable`, `org.gradle.util.Configurable<Task>`

      @Incubating
      public class JavaScriptMinify
      extends SourceTask

  Task to minify JavaScript assets.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaScriptMinify()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getDestinationDir()` | Returns the output directory that processed JavaScript is written to.
    `protected org.gradle.api.internal.file.FileResolver` | `getFileResolver()` |
    `BaseForkOptions` | `getForkOptions()` | The fork options to be applied to the JavaScript compiler.
    `FileTree` | `getSource()` | Returns the source for this task, after the include and exclude patterns have been applied.
    `PlayToolChain` | `getToolChain()` | Returns the tool chain that will be used to compile the JavaScript source.
    `void` | `setDestinationDir​(File destinationDir)` | Sets the output directory where processed JavaScript should be written.
    `void` | `setPlayPlatform​(PlayPlatform playPlatform)` | Sets the target Play platform.

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptMinify

          public JavaScriptMinify()

  - ### Method Detail

    - #### getFileResolver

          @Inject
          protected org.gradle.api.internal.file.FileResolver getFileResolver()

    - #### getToolChain

          @Inject
          public PlayToolChain getToolChain()

      Returns the tool chain that will be used to compile the JavaScript source.
      Returns:
        The tool chain.

    - #### getSource

          @PathSensitive(RELATIVE)
          public FileTree getSource()

      Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.

      The `PathSensitivity` for the sources is configured to be `PathSensitivity.ABSOLUTE`. If your sources are less strict, please change it accordingly by overriding this method in your subclass.

      Overrides:
        `getSource` in class `SourceTask`
      Returns:
        The source.

    - #### getDestinationDir

          @OutputDirectory
          public File getDestinationDir()

      Returns the output directory that processed JavaScript is written to.
      Returns:
        The output directory.

    - #### setDestinationDir

          public void setDestinationDir​(File destinationDir)

      Sets the output directory where processed JavaScript should be written.
      Parameters:
        `destinationDir` - The output directory.

    - #### setPlayPlatform

          public void setPlayPlatform​(PlayPlatform playPlatform)

      Sets the target Play platform.
      Parameters:
        `playPlatform` - The target Play platform.

    - #### getForkOptions

          public BaseForkOptions getForkOptions()

      The fork options to be applied to the JavaScript compiler.
      Returns:
        The fork options for the JavaScript compiler.